Home

Given a timestamp offset in seconds, adds the offset to every subsequent block header's timestamp.

POST
https://algo.nownodes.io/v2/devmode/blocks/offset/{offset}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Sets the timestamp offset (seconds) for blocks in dev mode. Providing an offset of 0 will unset this value and try to use the real clock for the timestamp.

Parameters

offsetinteger>= 0requiredpath

The timestamp offset for blocks in dev mode.

Response

200OK

OK

400Bad Request

Cannot set timestamp offset to a negative integer.

401Unauthorized

Invalid API Token

500Internal Server Error

Internal Error

default

Unknown Error